Loading...
Searching...
No Matches
Catch::TestCaseInfo Struct Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::TestCaseInfo:
[legend]
Collaboration diagram for Catch::TestCaseInfo:
[legend]

## Public Member Functions

| TestCaseInfo (StringRef _className, NameAndTags const &_nameAndTags, SourceLineInfo const &_lineInfo)
bool | isHidden () const
bool | throws () const
bool | okToFail () const
bool | expectedToFail () const
void | addFilenameTag ()
std::string | tagsAsString () const

## Public Attributes

std::string | name
StringRef | className
std::vector< Tag > | tags
SourceLineInfo | lineInfo
TestCaseProperties | properties = TestCaseProperties::None

## Private Member Functions

void | internalAppendTag (StringRef tagString)

## Private Attributes

std::string | backingTags

## Friends

bool | operator< (TestCaseInfo const &lhs, TestCaseInfo const &rhs)
| Orders by name, classname and tags.

## Additional Inherited Members

Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Detailed Description

Various metadata about the test case.

A test case is uniquely identified by its (class)name and tags combination, with source location being ignored, and other properties being determined from tags.

Tags are kept sorted.

## Constructor & Destructor Documentation

## TestCaseInfo()

Catch::TestCaseInfo::TestCaseInfo | ( | StringRef | _className,
|  | NameAndTags const & | _nameAndTags,
|  | SourceLineInfo const & | _lineInfo )

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Function Documentation

## addFilenameTag()

void Catch::TestCaseInfo::addFilenameTag | ( |  | ) |

Here is the call graph for this function:

## expectedToFail()

bool Catch::TestCaseInfo::expectedToFail | ( |  | ) | const

## internalAppendTag()

void Catch::TestCaseInfo::internalAppendTag | ( | StringRef | tagString | ) |

private

Here is the caller graph for this function:

## isHidden()

bool Catch::TestCaseInfo::isHidden | ( |  | ) | const

Here is the caller graph for this function:

## okToFail()

bool Catch::TestCaseInfo::okToFail | ( |  | ) | const

## tagsAsString()

std::string Catch::TestCaseInfo::tagsAsString | ( |  | ) | const

## throws()

bool Catch::TestCaseInfo::throws | ( |  | ) | const

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator<

bool operator< | ( | TestCaseInfo const & | lhs,
|  | TestCaseInfo const & | rhs )

friend

Orders by name, classname and tags.

## Member Data Documentation

## backingTags

std::string Catch::TestCaseInfo::backingTags

private

## className

StringRef Catch::TestCaseInfo::className

## lineInfo

SourceLineInfo Catch::TestCaseInfo::lineInfo

## name

std::string Catch::TestCaseInfo::name

## properties

TestCaseProperties Catch::TestCaseInfo::properties = TestCaseProperties::None

## tags

std::vector<Tag> Catch::TestCaseInfo::tags

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp